SKB_HEAD_IS_LOCKED(9)

NAME
skb_head_is_locked - Determine if the skb->head is locked down

SYNOPSIS

bool skb_head_is_locked(const struct sk_buff * skb);

ARGUMENTS

skb
    skb to check

DESCRIPTION

The head on skbs build around a head frag can be removed if they are not cloned. This function returns true if the skb head is locked down due to either being allocated via kmalloc, or by being a clone with multiple references to the head.

COPYRIGHT